#!/bin/sh
# $Header: /code/pg_trompe/testdb.sh,v 1.12 2009/06/26 06:09:36 doj Exp $

doit()
{
  N=$1
  dropdb $N
  createdb $N || exit 1
  createlang plpgsql $N || exit 1
  psql -f replication.sql $N || exit 1
  psql -f testtable.sql $N || exit 1
  psql -f test${N}.sql $N || exit 1
}

printt()
{
    echo "DATABASE: $1"
    psql --pset pager=off -d $1 -c 'select nr,i,t from t order by nr'
}

if [ -z "$1" ] ; then
  make
  for i in a b c d e
  do doit $i
  done
fi

perl replication.pl -verbose -local_dbname a -remote_dbname b -compare_db yes || exit 1
perl replication.pl -local_dbname b -remote_dbname c -compare_db yes || exit 1
perl replication.pl -local_dbname c -remote_dbname d -compare_db yes || exit 1
perl replication.pl -local_dbname c -remote_dbname e -compare_db yes || exit 1

for i in a b c d e
do printt $i
done
